function init(hero) {
    hero.setName("Ryu/SSBHP");
    hero.setTier(5);
    hero.setVersion("Super Smash Bros");
    
    hero.setHelmet("Hair");
    hero.setChestplate("Robe");
    hero.setLeggings("Belt");
    hero.setBoots("Feet");

    hero.addAbilities("fiskheroes:enhanced_reflexes", "fiskheroes:steel_transformation", "fiskheroes:energy_projection", "fiskheroes:explosion_immunity", "fiskheroes:heat_resistance", "fiskheroes:leaping");
    hero.addAttribute("FALL_RESISTANCE", 4.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.5, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
	hero.addAttribute("ATTACK_DAMAGE", 4.00, 1);
	hero.addAttribute("SPRINT_SPEED", 0.50, 1);
	
    hero.addKeyBind("STEEL_TRANSFORM", "Kaioken x 10", 1);
    hero.addKeyBind("ENERGY_PROJECTION", "Haduken", 2);
        
        hero.setDefaultScale(1.2);
    
	hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);


}

    function steelProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 1.35, 1);
    profile.addAttribute("JUMP_HEIGHT", 3.0, 0);
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    profile.addAttribute("SPRINT_SPEED", 2.5, 1);
    profile.addAttribute("FALL_RESISTANCE", 6.0, 1);
}


function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : null;
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:steeled") || modifier != "fiskheroes:energy_projection";
}